Subject: Re: [PATCH 1/2] net: tcp_header_len_th and tcp_option_len_th

From: Eric Dumazet <[email-masked]>
Date: Tue, 12 Jan 2010 18:53:22 +0100

Le 12/01/2010 18:42, William Allen Simpson a écrit :
> Eric Dumazet wrote:
>> Its better to inline your patches so that we can comment them, without
>> copy/paste
>>
>> When I hit 'reply to', my mailer only quoted the ChangeLog, not the
>> patch.
>>
> Seeing that we're both using Mozilla, how to you do it?
> 
> It took me many attempts to get this to work with Thunderbird on the Mac.
> 

Hmm, I followed Documentation/email-clients.txt tricks, I dont remember exact details.

I type my Changelog text, add my signature, then copy/paste patch from external editor
(this editor must preserve tabulations of course)

Its probably a bit odd, because I am stuck with a windows XP notebook here at work,
dont flame me :(

About cast games, maybe following way is the cleanest one.

int tcp_options_len_th(struct tcphdr *th)
{
	return tcp_header_len_th(th) - sizeof(*th);
}